Bug 1271680 - instack-undercloud should not install unit tests
instack-undercloud should not install unit tests
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Alex Schultz
Alexander Chuzhoy
: Triaged
Depends On:
Blocks: 1271670
  Show dependency treegraph
 
Reported: 2015-10-14 09:47 EDT by Mike Burns
Modified: 2017-06-06 12:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: instack-undercloud-6.0.0-6.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-06 12:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gerrithub.io 249777 None None None Never
RDO 5010 None None None 2017-02-08 12:52 EST

  None (edit)
Description Mike Burns 2015-10-14 09:47:58 EDT
instack-undercloud is currently installing unit tests and those should not be shipped.  This is with the latest OSPd 7.1 package.
Comment 4 Alexander Chuzhoy 2015-11-30 13:00:55 EST
FailedQA:

Environment:
instack-undercloud-2.1.2-34.el7ost.noarch


The directory "/usr/lib/python2.7/site-packages/instack_undercloud/tests/" still exists.
Comment 7 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 12 Red Hat Bugzilla Rules Engine 2017-02-08 12:52:46 EST
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 13 Alex Schultz 2017-06-06 12:57:16 EDT
This went out with 11

Note You need to log in before you can comment on or make changes to this bug.